/* base theme: Archie by Bearblog */

:root {
    --width: 720px;
    --font-main: 'Figtree', sans-serif;
    --font-secondary: 'Alegreya', serif;
    --font-scale: 1.2em;
    --background-color: #ffffff;
    --heading-color: #524A3C;
    --text-color: #353535;
    --link-color: #58715B;
    --visited-color: #B48EAD;
    --main-color: #f6eee5;
    --code-background-color: #171a20;
    --code-color: #E5E9F0;
    --blockquote-color: #6d737e;
}

/* Flex Box lay-out */

* {
  box-sizing: border-box;
}

.flex-container {
  display: flex;
  align-items: stretch;
  flex-wrap: wrap;
}

.flex-item {
  padding: 10px;
  text-align: center;
  font-size: 30px;
  flex: 50%;
}

/* On screens that are 600px wide or less, make the columns stack on top of each other instead of next to each other */
@media (max-width: 600px) {
  .flex-item {
    flex: 100%;
  }
}

mark {
    background-color: #EBCB8B;
}

html {
  scroll-behavior: smooth;
}

body {
    font-family: var(--font-secondary);
    font-size: var(--font-scale);
    margin: auto;
    padding: 20px;
    max-width: var(--width);
    text-align: left;
    background-color: var(--background-color);
    word-wrap: break-word;
    overflow-wrap: break-word;
    line-height: 1.5;
    color: var(--text-color);    font-family: var(--font-secondary);
    font-size: var(--font-scale);
    margin: auto;
    padding: 20px;
    max-width: var(--width);
    text-align: left;
    background-color: var(--background-color);
    word-wrap: break-word;
    overflow-wrap: break-word;
    line-height: 1.5;
    color: var(--text-color);
}

.article {
    background-color: #E6E3DC;
    padding: 20px;
    border-radius: 10px;
    margin-bottom: 40px;
}

.faq {
    text-align: left;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: var(--font-main);
    color: var(--heading-color);
}

a {
    color: var(--link-color);
    font-family: var(--font-secondary);
    cursor: pointer;
    text-decoration: none;
    border-bottom: 2px solid #284b63;
}

a::after {
    font-size: 1.1em;
}

a:hover {
    background-color: var(--main-color);
    color: var(--text-color);
    text-decoration: none;
}

/* Safari 4.0 - 8.0 */
    @-webkit-keyframes infiniteRotate {    
         0% { -webkit-transform: rotate(0deg); }
         100% { -webkit-transform: rotate(360deg); }
    }
    /* Standard syntax */
    @keyframes infinite-rotate {  
         0% { -webkit-transform: rotate(0deg); }
         100% { -webkit-transform: rotate(360deg); }
    }
.rotate-element {
  -webkit-animation: infiniteRotate 3s linear infinite; /* Safari */
  animation: infiniteRotate 3s linear infinite;
}

header {
    margin-bottom: 40px;
    padding-bottom: 20px;
    border-bottom: 3px solid #d9d9d9;
    text-align: center;
}

/*-- Sign Styles --*/

.sign {
  min-height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  span {
    text-align: center;
    line-height: 1;
    color: #c6e2ff;
    animation: neon .08s ease-in-out infinite alternate;

        h2 {
            color: #fffdf0;
        }
  }

}

/*-- Animation Keyframes --*/

/* animation */

@keyframes neon {
  from {
    text-shadow:
    0 0 6px rgba(202,228,225,0.92),
    0 0 30px rgba(202,228,225,0.34),
    0 0 12px rgba(30,132,242,0.52),
    0 0 21px rgba(30,132,242,0.92),
    0 0 34px rgba(30,132,242,0.78),
    0 0 54px rgba(30,132,242,0.92);
  }
  to {
    text-shadow:
    0 0 6px rgba(202,228,225,0.98),
    0 0 30px rgba(202,228,225,0.42),
    0 0 12px rgba(30,132,242,0.58),
    0 0 22px rgba(30,132,242,0.84),
    0 0 38px rgba(30,132,242,0.88),
    0 0 60px rgba(30,132,242,1);
  }
}

nav a {
    margin-right: 8px;
    border-bottom: none;
    padding: 3px;
    border-radius: 5px;
}

strong,
b {
    color: var(--heading-color);
}

button {
    margin: 0;
    cursor: pointer;
}

.btn_small {
  padding: 10px 20px;
  margin-top: 10px;
  border: 0;
  border-radius: 10px;
  background-color: var(--heading-color);
  font-family: var(--font-main);
  color: #ffffff;
  font-weight: Bold;
  transition: all 0.5s;
  -webkit-transition: all 0.5s;
}

.btn_small:hover {
  background-color: var(--link-color);
  box-shadow: 0 0 20px #6fc5ff50;
  transform: scale(1.1);
}

.btn_small:active {
  background-color: var(--main-color);
  transition: all 0.25s;
  -webkit-transition: all 0.25s;
  box-shadow: none;
  transform: scale(0.98);
}

.btn {
  transition: all 0.3s ease-in-out;
  font-family: "Dosis", sans-serif;
}

.btn {
  margin: 10px;
    width: 150px;
  height: 80px;
  border-radius: 50px;
  background-image: linear-gradient(135deg, #feb692 0%, #ea5455 100%);
  box-shadow: 0 20px 30px -6px rgba(238, 103, 97, 0.5);
  outline: none;
  cursor: pointer;
  border: none;
  font-family: var(--font-main);
  font-weight: 500;
  font-size: 24px;
  color: white;
}

a.buttonlink {
    border-bottom: none;
    text-decoration: none;
}

a.buttonlink:hover {
    background-color: #ffffff;
}

.btn:hover {
  transform: translateY(3px);
  box-shadow: none;
}

.btn:active {
  opacity: 0.5;
}

main {
    line-height: 1.6;
    text-align: center;
}

.menu {
    border: 1px solid #e0e0e0;
    padding: 1.5em;
    border-radius: 15px;
    margin-top: 40px;
    background-color: #FAF9F7;
}

table {
    width: 100%;
}

hr {
    border: 0;
    border-top: 1px dashed;
	margin-top:30px;
  	margin-bottom:30px;
}


img, svg {
    max-width: 100%;
    border-radius: 10px;
}

.pixel {
    image-rendering: pixelated;
}

.web_badge {
    border-bottom: none;
    text-decoration: none;
}

.container {
    justify-content: center;
    align-items: center;
    width: 100%;
}

code {
    font-family: 'JetBrains Mono', monospace;
    padding: 2px;
    background-color: var(--code-background-color);
    color: var(--code-color);
    border-radius: 3px;
}

blockquote {
    border-left: 1px solid #414650;
    color: var(--blockquote-color);
    padding-left: 20px;
    font-style: italic;
}

section.footnotes {
    line-height: 1.4;
    font-size:0.9em;
}

section.footnotes ol li p {
    margin-block-start: 0.5em;
    margin-block-end: 0.5em;

}

footer {
  	margin-top: 2.5rem;
    text-align: left;
  	font-size: 0.9em;
    padding-top: 20px;
}

footer a::after {
display: none;
}

.title:hover {
    text-decoration: none;
}

.title h1 {
    font-size: 1.5em;
}

.inline {
    width: auto !important;
}

.highlight,
.code {
    padding: 1px 15px;
    background-color: var(--code-background-color);
    color: var(--code-color);
    border-radius: 3px;
    margin-block-start: 1em;
    margin-block-end: 1em;
    overflow-x: auto;
}

/* blog post list */
ul.blog-posts {
    list-style-type: none;
    padding: unset;
}

ul.blog-posts li {
    display: flex;
    margin-bottom: 10px;
}

i time {
    font-style: normal;
    opacity: 0.7;
}

ul.blog-posts li span {
    flex: 0 0 130px;
}


ul.blog-posts li a:visited {
    color: var(--visited-color);
}

table {
    border-spacing: 0;
}

th,
td {
    padding: 6px 13px;
    border: 1px solid #dfe2e5;
    font-size: 1em;
}

p.tags {
  display: none;
}

button {
    font-family: 'JetBrains Mono', monospace;
}

footer {
  border-top: 3px solid #d9d9d9;
  text-align: center;
}
/* Footer opacity */
footer {
  opacity: 75%;
}

body.home footer #footer-directive a.email {
  display: none;
}

body.blog footer #footer-directive a.email {
  display: none;
}

body.home footer #footer-directive a.email {
  display: none;
}

body.page footer #footer-directive a.email {
  display: none;
}